/*
 Theme Name: Astra Child
 Template: astra
 Version: 1.0
*/

.single .entry-header .post-thumb img {
	max-height: 500px;
    object-fit: cover;
}
.category-lulbas .entry-title, .category-photo-story .entry-title {
    font-size: 1.5rem;
    line-height: 1.5;
    margin-bottom: 0.5rem;
    margin-top: 1rem;
}

.category-lulbas .card-thumbnail img, .category-photo-story .card-thumbnail img {
    height: 220px;
    object-fit: cover;
    object-position: center;
}
.category-lulbas .ast-blog-single-element, .category-photo-story .ast-blog-single-element {
    margin-top: 1.2rem;
}

.category-politik-sakbendino .ast-row,
.category-publikasi .ast-row {
    max-width: 1170px;
    margin: auto;
    padding-bottom: 180px;
    display: grid;
    gap: 110px 30px;
    grid-template-columns: 1fr;    
}
.category-politik-sakbendino .ast-row::before,
.category-publikasi .ast-row::before {
    content: unset;
}
.category-politik-sakbendino .ast-row .post:nth-child(even),
.category-publikasi .ast-row .post:nth-child(even) {
    margin-top: 0;
}
.category-politik-sakbendino .ast-row .post-thumb img:hover,
.category-publikasi .ast-row .post-thumb img:hover {
    transition: transform 1s ease-out;
  transform: scale(1.05);

}
.post-7845 .entry-header {
    display: none;
}

.nausus-wrapper {
  margin: 0 auto;
  padding: 0;
  font-family: 'Georgia', serif;
}

/* HERO */
.nausus-hero {
  text-align: center;
  margin-bottom: 70px;
}

.nausus-hero h1 {
  font-size: 42px;
  margin-bottom: 20px;
  line-height: 1.2;
}

.nausus-hero p {
  max-width: 800px;
  margin: 0 auto;
  font-size: 17px;
  line-height: 1.8;
  color: #555;
}

/* GRID */
.nausus-grid {
  display: grid;
  grid-template-columns: 1.4fr 1fr;
  gap: 25px;
}

.nausus-right {
  display: flex;
  flex-direction: column;
  gap: 25px;
}

.nausus-card {
  position: relative;
  overflow: hidden;
  cursor: pointer;
}

.nausus-card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.6s ease;
}

.nausus-card.large {
  height: 600px;
}

.nausus-card:not(.large) {
  height: 287px;
}

/* Overlay */
.card-overlay {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 30px;
  background: linear-gradient(to top, rgba(0,0,0,0.8), transparent);
  color: white;
}

.card-overlay h3 {
  margin: 0;
  font-size: 22px;
  letter-spacing: 1px; 
}
.card-overlay h3 a {
     color: #fff;
}
/* Hover */
.nausus-card:hover img {
  transform: scale(1.05);
}

/* ===== Grid ===== */
.knowledge-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 28px;
}

/* ===== Card ===== */
.knowledge-card {
  position: relative;
  background: #fff;
  border-radius: 18px;
  padding: 36px 28px;
  text-decoration: none;
  color: #222;
  box-shadow: 0 10px 25px rgba(0,0,0,0.06);
  transition: all .3s ease;
  display: flex;
  flex-direction: column;
  min-height: 210px;
}

.knowledge-card:hover {
  transform: translateY(-6px);
  box-shadow: 0 18px 40px rgba(0,0,0,0.12);
  background: #faf4f3;
  border: 1px solid #f2d9d6;
}

/* number */
.knowledge-card .number {
  position: absolute;
  top: 18px;
  right: 22px;
  font-size: 56px;
  font-weight: 700;
  color: rgba(0,0,0,0.05);
}

/* icon */
.knowledge-card .icon {
  width: 52px;
  height: 52px;
  border-radius: 12px;
  background: #f1f3f6;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 22px;
  margin-bottom: 18px;
}

/* title */
.knowledge-card h3 {
  font-size: 24px;
  font-weight: 500;
  margin-bottom: 10px;
}

/* text */
.knowledge-card p {
  font-size: 16px;
  line-height: 1.6;
  color: #555;
}

@media (max-width: 1024px) {
  .knowledge-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media (max-width: 992px) {
  .nausus-grid {
    grid-template-columns: 1fr;
  }

  .nausus-card.large,
  .nausus-card:not(.large) {
    height: 400px;
  }
}
@media (max-width: 640px) {
  .knowledge-grid {
    grid-template-columns: 1fr;
  }
}
@media (min-width: 993px) {
    #primary.category-lulbas, #primary.category-photo-story, #primary.category-politik-sakbendino, #primary.category-publikasi {
        padding-right: 0 !important;
    }
}
@media (min-width: 922px) {
    .category-publikasi {
        overflow-x: hidden;
    }
    .category-lulbas, .category-photo-story, .category-politik-sakbendino, .category-publikasi {
        border-right: none !important;
        width: 100% !important;
    }
    .category-politik-sakbendino .ast-row,
    .category-publikasi .ast-row {
        grid-template-columns: repeat(2, 1fr);
    }
    .category-politik-sakbendino .ast-row .post:nth-child(even),
    .category-publikasi .ast-row .post:nth-child(even) {
        margin-top: 60px;
    }
}